"""Add price and sale_price columns to Products

Revision ID: eb84614daea1
Revises: a6faa39f5227
Create Date: 2021-03-28 04:36:36.015385

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'eb84614daea1'
down_revision = 'a6faa39f5227'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('products', sa.Column('price', sa.Integer(), nullable=True))
    op.execute("UPDATE products SET price = 0")
    op.alter_column('products', 'price', nullable=False)
    op.add_column('products', sa.Column('sale_price', sa.Integer(), nullable=True))
    op.execute("UPDATE products SET sale_price = 0")
    op.alter_column('products', 'sale_price', nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('products', 'sale_price')
    op.drop_column('products', 'price')
    # ### end Alembic commands ###
